cpw.mods.fml.common.launcher

## Class FMLInjectionAndSortingTweaker

- java.lang.Object
- - cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker

- All Implemented Interfaces:
    net.minecraft.launchwrapper.ITweaker

      public class FMLInjectionAndSortingTweaker
      extends java.lang.Object
      implements net.minecraft.launchwrapper.ITweaker

  This class is to manage the injection of coremods as tweakers into the tweak framework. It has to inject the coremod tweaks during construction, because that is the only time the tweak list is writeable.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FMLInjectionAndSortingTweaker()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptOptions(java.util.List<java.lang.String> args, java.io.File gameDir, java.io.File assetsDir, java.lang.String profile)`
    `java.lang.String[]` | `getLaunchArguments()`
    `java.lang.String` | `getLaunchTarget()`
    `void` | `injectIntoClassLoader(net.minecraft.launchwrapper.LaunchClassLoader classLoader)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FMLInjectionAndSortingTweaker

          public FMLInjectionAndSortingTweaker()

  - ### Method Detail

    - #### acceptOptions

          public void acceptOptions(java.util.List<java.lang.String> args,
                           java.io.File gameDir,
                           java.io.File assetsDir,
                           java.lang.String profile)

      Specified by:
        `acceptOptions` in interface `net.minecraft.launchwrapper.ITweaker`

    - #### injectIntoClassLoader

          public void injectIntoClassLoader(net.minecraft.launchwrapper.LaunchClassLoader classLoader)

      Specified by:
        `injectIntoClassLoader` in interface `net.minecraft.launchwrapper.ITweaker`

    - #### getLaunchTarget

          public java.lang.String getLaunchTarget()

      Specified by:
        `getLaunchTarget` in interface `net.minecraft.launchwrapper.ITweaker`

    - #### getLaunchArguments

          public java.lang.String[] getLaunchArguments()

      Specified by:
        `getLaunchArguments` in interface `net.minecraft.launchwrapper.ITweaker`